Skip to main content
PUT
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
/
workspaces
curl --request PUT \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/workspaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_ids": [
    "507f1f77bcf86cd799439030",
    "507f1f77bcf86cd799439031"
  ]
}
'
{
  "message": "<string>",
  "total_in_group": 123
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_group_id
string
required

The unique identifier of the workspace group

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json
workspace_ids
string[]
required

Array of Workspace IDs

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Workspaces successfully updated in the workspace group. Returns a summary of the result.

message
string
required

Confirmation message for update

total_in_group
integer
required

Total Workspaces in the group after applying the update